create or replace
PACKAGE PAK_EXTRES AS

/*Funci d'inserci d'un nou extra*/
FUNCTION EXTRES_I (pNom VARCHAR2, pIdTipusExtra NUMBER, pPreu NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci de modificaci d'un extra*/
FUNCTION EXTRES_U (pId NUMBER, pNom VARCHAR2, pIdTipusExtra NUMBER, pPreu NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci d'esborrat d'un extra*/
FUNCTION EXTRES_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci d'inserci d'una nova traducci d'un extra*/
FUNCTION EXTRES_IDIOMA_I (pIdExt NUMBER, pIdId NUMBER, pNom VARCHAR2, pDesc VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci de modificaci d'una traducci d'un extra*/
FUNCTION EXTRES_IDIOMA_U (pId NUMBER, pIdExt NUMBER, PIdId NUMBER, pNom VARCHAR2, pDesc VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci d'esborrat d'una traducci d'un extra*/
FUNCTION EXTRES_IDIOMA_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per crear una nova relaci entre extres i models*/
FUNCTION EXTRES_MODELS_I (pIdMod NUMBER, pIdExt NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per modificar una nova relaci entre extres i models*/
FUNCTION EXTRES_MODELS_U (pId NUMBER, pIdMod NUMBER, pIdExt NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per eliminar una nova relaci entre extres i models*/
FUNCTION EXTRES_MODELS_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per crear una nova relaci entre extres i configfin*/
FUNCTION EXTRES_CONFIGFIN_I (pIdCon NUMBER, pIdExt NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per modificar una nova relaci entre extres i configfin*/
FUNCTION EXTRES_CONFIGFIN_U (pId NUMBER, pIdCon NUMBER, pIdExt NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per eliminar una nova relaci entre extres i configfin*/
FUNCTION EXTRES_CONFIGFIN_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

END PAK_EXTRES;
/