create or replace
PACKAGE PAK_STOCK AS

/*Funcio que treu un vehicle del estoc*/
FUNCTION TREU_DE_STOCK (pIdVeh NUMBER, pIdCentre NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funcio que apunta com a reservat un vehicle del estoc*/
FUNCTION RESERVA_VEHICLE (pIdVeh NUMBER, pIdCentre NUMBER, pIdUser NUMBER) RETURN RETORNS; 

/*Funcio que elimina la reservada d'un vehicle del estoc*/
FUNCTION DESRESERVA_VEHICLE (pIdVeh NUMBER, pIdCentre NUMBER, pIdUser NUMBER) RETURN RETORNS; 

/*Funcio que retorna un vehicle del estoc*/
FUNCTION TORNA_A_STOCK (pIdVeh NUMBER, pIdCentre NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funcio afegeix a l'estoc tots els vehicles que es recepcionen a una compra*/
FUNCTION ACTUALITZA_STOCK_COMPRA (pIdCompra NUMBER, pIdCentre NUMBER, pUs VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

END PAK_STOCK;
/