create or replace
PACKAGE BODY PAK_TEST AS

  PROCEDURE TEST_OK IS
    vDocument CLOB;
    ret RETORNS;
    RetCli RETORNS;
    RetVeh RETORNS;
    RetCom RETORNS;
    RetComLin RETORNS;
    RetVen RETORNS;
    RetRep RETORNS;
    RetRepLin RETORNS;
    retRepMec RETORNS;
    vContinuar BOOLEAN := TRUE;
    vAuxCf NUMBER;
    vAuxC NUMBER;
    vAuxT NUMBER;
    vAuxD NUMBER;
    vAuxR NUMBER;
  BEGIN


    vDocument := '<html> <head> <title> Pagina de Test </title> </head> <body> <table>';
    vDocument := vDocument ||'<tr><td colspan=3>Inici de consultes de test</td></tr>';
     SELECT max(Id) INTO vAuxCf FROM ConfigFin;
     SELECT max(Id) INTO vAuxC FROM Centres;
     SELECT max(Id) INTO vAuxT FROM Treballadors;
     SELECT max(Id) INTO vAuxD FROM distribuidors;
     SELECT max(Id) INTO vAuxR FROM reprev_accions;
    vDocument := vDocument ||'<tr><td colspan=3>Procs de Consulta OK</td></tr>';
    vDocument := vDocument ||'<tr><td colspan=3>Inici de Procesos d''alta d''elements</td></tr>';
    vDocument := vDocument ||'<tr><td><b>Element</b></td><td><b>Acci</b></td><td><b>Resultat</b></td></tr>';
    retCli:= PAK_CLIENTS.CLIENTS_I('Test'||TO_CHAR(SYSDATE, 'YYYYMMDD'), 'Test'||TO_CHAR(SYSDATE, 'YYYYMMDD'),
                                   'Test'||TO_CHAR(SYSDATE, 'YYYYMMDD'), SYSDATE, 'H','NIF',
                                   TO_CHAR(SYSDATE, 'YYYYMMDD'), null, null, null, null, null, null, 1, 0);
    vDocument := vDocument ||'<tr><td>Clients</td><td>Alta Nou Client</td><td>';

    IF retCli.IdMissatge = 0 THEN
      vDocument := vDocument ||'OK';
    ELSE
      vDocument := vDocument ||'Error. Nmero Error: ' || retCli.IdMissatge;
      vContinuar := FALSE;
    END IF;
    vDocument := vDocument ||'</td></tr>';

    IF vContinuar THEN
      retVeh:= PAK_VEHICLES.VEHICLES_I(vAuxCf,retCli.IdRetorn, 'XXX'||TO_CHAR(SYSDATE, 'YYYYMMDD'), '9999XXX',
                                        '0', null, null, TO_CHAR(SYSDATE, 'YYYY'), 0);

      vDocument := vDocument ||'<tr><td>Vehicles</td><td>Alta Nou Vehicle</td><td>';
      IF retVeh.IdMissatge = 0 THEN
        vDocument := vDocument ||'OK';
      ELSE
        vDocument := vDocument ||'Error. Nmero Error: ' || retVeh.IdMissatge;
        vContinuar := FALSE;
      END IF;
      vDocument := vDocument ||'</td></tr>';
    END IF;

    IF vContinuar THEN
      retCom:= PAK_COMPRES.COMPRES_I(vAuxC, vAuxT, vAuxD, null, 'N', null, 0);
      vDocument := vDocument ||'<tr><td>Compres</td><td>Alta Nova Compra</td><td>';
      IF retCom.IdMissatge = 0 THEN
        vDocument := vDocument ||'OK';
      ELSE
        vDocument := vDocument ||'Error. Nmero Error: ' || retCom.IdMissatge;
        vContinuar := FALSE;
      END IF;
      vDocument := vDocument ||'</td></tr>';
    END IF;
    IF vContinuar THEN
      retComlin:= PAK_COMPRES.COMPRES_LINIES_I(retCom.IdRetorn, retVeh.IdRetorn,null,0);
      vDocument := vDocument ||'<tr><td>Compres</td><td>Alta Nova Linia de Compra</td><td>';
      IF retComlin.IdMissatge = 0 THEN
        vDocument := vDocument ||'OK';
      ELSE
        vDocument := vDocument ||'Error. Nmero Error: ' || retComlin.IdMissatge;
        vContinuar := FALSE;
      END IF;
      vDocument := vDocument ||'</td></tr>';
    END IF;

    IF vContinuar THEN
      retVen:= PAK_VENTES.ENCARREGAR_VEHICLE(retVeh.IdRetorn, retCli.IdRetorn, vAuxC, vAuxT, 0, 0, null, 0);
      vDocument := vDocument ||'<tr><td>Ventes</td><td>Alta Nova Venta</td><td>';
      IF retVen.IdMissatge = 0 THEN
        vDocument := vDocument ||'OK';
      ELSE
        vDocument := vDocument ||'Error. Nmero Error: ' || retVen.IdMissatge;
        vContinuar := FALSE;
      END IF;
      vDocument := vDocument ||'</td></tr>';
    END IF;

    IF vContinuar THEN
      retRep:= PAK_REPREV.REPREV_I(retVeh.IdRetorn, vAuxC, retCli.IdRetorn, 'REP', vAuxR, vAuxT, null, null,0);
      vDocument := vDocument ||'<tr><td>Reparacions</td><td>Alta Nova Reparaci</td><td>';
      IF retRep.IdMissatge = 0 THEN
        vDocument := vDocument ||'OK';
      ELSE
        vDocument := vDocument ||'Error. Nmero Error: ' || retRep.IdMissatge;
        vContinuar := FALSE;
      END IF;
      vDocument := vDocument ||'</td></tr>';
    END IF;
     IF vContinuar THEN
      retRepMec:= PAK_REPREV.ASSIGNAR_MECANIC(retRep.IdRetorn, vAuxT, 0);
      vDocument := vDocument ||'<tr><td>Reparacions</td><td>Assignar Mecnic a la Reparaci</td><td>';
      IF retRepMec.IdMissatge = 0 THEN
        vDocument := vDocument ||'OK';
      ELSE
        vDocument := vDocument ||'Error. Nmero Error: ' || retRepMec.IdMissatge;
        vContinuar := FALSE;
      END IF;
      vDocument := vDocument ||'</td></tr>';
    END IF;
    IF vContinuar THEN
      retReplin:= PAK_REPREV.REPREV_LINIES_I(retRep.IdRetorn, vAuxR, 0, 1, null, 0);
      vDocument := vDocument ||'<tr><td>Reparacions</td><td>Alta Nova Linia de Reparaci</td><td>';
      IF retReplin.IdMissatge = 0 THEN
        vDocument := vDocument ||'OK';
      ELSE
        vDocument := vDocument ||'Error. Nmero Error: ' || retReplin.IdMissatge;
        vContinuar := FALSE;
      END IF;
      vDocument := vDocument ||'</td></tr>';
    END IF;
    vDocument := vDocument ||'<tr><td colspan=3><b> Fi de Procesos d''alta d''elements</b></td></tr>';
    vDocument := vDocument ||'<tr><td colspan=3><b>Inici de Procesos de baixa d''elements</b></td></tr>';
    vDocument := vDocument ||'<tr><td><b>Element</b></td><td><b>Acci</b></td><td><b>Resultat</b></td></tr>';

    IF vContinuar THEN
      retRepLin:= PAK_REPREV.REPREV_LINIES_D(retRepLin.IdRetorn,0);
      vDocument := vDocument ||'<tr><td>Reparacions</td><td>Baixa Linia Reparaci</td><td>';
      IF retRepLin.IdMissatge = 0 THEN
        vDocument := vDocument ||'OK';
      ELSE
        vDocument := vDocument ||'Error. Nmero Error: ' || retRepLin.IdMissatge;
        vContinuar := FALSE;
      END IF;
      vDocument := vDocument ||'</td></tr>';
    END IF;

    IF vContinuar THEN
      retRep:= PAK_REPREV.REPREV_D(retRep.IdRetorn, 0);
      vDocument := vDocument ||'<tr><td>Reparacions</td><td>Baixa Reparaci</td><td>';
      IF retRep.IdMissatge = 0 THEN
        vDocument := vDocument ||'OK';
      ELSE
        vDocument := vDocument ||'Error. Nmero Error: ' || retRep.IdMissatge;
        vContinuar := FALSE;
      END IF;
      vDocument := vDocument ||'</td></tr>';
    END IF;

    IF vContinuar THEN
      retVen:= PAK_VENTES.VENTES_D(retVen.IdRetorn, 0);
      vDocument := vDocument ||'<tr><td>Ventes</td><td>Baixa Venta</td><td>';
      IF retVen.IdMissatge = 0 THEN
        vDocument := vDocument ||'OK';
      ELSE
        vDocument := vDocument ||'Error. Nmero Error: ' || retVen.IdMissatge;
        vContinuar := FALSE;
      END IF;
      vDocument := vDocument ||'</td></tr>';
    END IF;

    IF vContinuar THEN
      retComLin:= PAK_COMPRES.COMPRES_LINIES_D(retComLin.IdRetorn,0);
      vDocument := vDocument ||'<tr><td>Compres</td><td>Baixa Lnia Compra</td><td>';
      IF retComLin.IdMissatge = 0 THEN
        vDocument := vDocument ||'OK';
      ELSE
        vDocument := vDocument ||'Error. Nmero Error: ' || retComLin.IdMissatge;
        vContinuar := FALSE;
      END IF;
      vDocument := vDocument ||'</td></tr>';
    END IF;

    IF vContinuar THEN

      retCom:= PAK_COMPRES.COMPRES_D(retCom.IdRetorn,0);
      dbms_output.put_line(retCom.IdMissatge|| ' - ' ||retCom.idRetorn || ' - ' || retCom.IdMissatge);
      vDocument := vDocument ||'<tr><td>Compres</td><td>Baixa Compra</td><td>';
      IF retCom.IdMissatge = 0 THEN
        vDocument := vDocument ||'OK';
      ELSE
        vDocument := vDocument ||'Error. Nmero Error: ' || retCom.IdMissatge;
        vContinuar := FALSE;
      END IF;
      vDocument := vDocument ||'</td></tr>';
    END IF;

    IF vContinuar THEN
      retVeh:= PAK_VEHICLES.VEHICLES_D(retVeh.IdRetorn,0);
      vDocument := vDocument ||'<tr><td>Vehicles</td><td>Baixa Vehicle</td><td>';
      IF retVeh.IdMissatge = 0 THEN
        vDocument := vDocument ||'OK';
      ELSE
        vDocument := vDocument ||'Error. Nmero Error: ' || retVeh.IdMissatge;
        vContinuar := FALSE;
      END IF;
      vDocument := vDocument ||'</td></tr>';
    END IF;

    IF vContinuar THEN
      retCli:= PAK_CLIENTS.CLIENTS_D(retCli.IdRetorn,0);
      vDocument := vDocument ||'<tr><td>Clients</td><td>Baixa Client</td><td>';
      IF retCli.IdMissatge = 0 THEN
        vDocument := vDocument ||'OK';
      ELSE
        vDocument := vDocument ||'Error. Nmero Error: ' || retCli.IdMissatge;
        vContinuar := FALSE;
      END IF;
      vDocument := vDocument ||'</td></tr>';
    END IF;

    vDocument := vDocument ||'<tr><td colspan=3><b>Fi de Procesos de baixa d''elements</b></td></tr>';
    vDocument := vDocument ||'<tr><td colspan=3><b>Fi del Test</b></td></tr>';
    vDocument := vDocument ||'</table> </body> </html> ';
dbms_output.put_line(vDocument);
     ret:= FUNC_ENVIA_CORREU('jplujas', 'jplujas@uoc.com', 'Test', vDocument);

END;

END PAK_TEST;