create or replace
PACKAGE PAK_TREBALLADORS AS

/*Funci d'inserci d'un nou treballador*/
FUNCTION TREBALLADORS_I (pNom VARCHAR2, pCognom1 VARCHAR2, pCognom2 VARCHAR2, pRol VARCHAR2, pNomUsuari VARCHAR2, 
                         pContrasenya VARCHAR2, pIdCentre NUMBER, pDataBaixa DATE, pIdIdioma NUMBER, pIdUser NUMBER) RETURN RETORNS;
                         
/*Funci de modificaci d'un treballador*/                      
FUNCTION TREBALLADORS_U (pId NUMBER, pNom VARCHAR2, pCognom1 VARCHAR2, pCognom2 VARCHAR2, pRol VARCHAR2, pNomUsuari VARCHAR2, 
                         pContrasenya VARCHAR2, pIdCentre NUMBER, pDataBaixa DATE, pIdIdioma NUMBER, pIdUser NUMBER) RETURN RETORNS;
                         
/*Funci d'esborrat  d'un treballador*/                            
FUNCTION TREBALLADORS_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci d'inserci de les dades de contacte d'un treballador*/
FUNCTION TREBALLADORS_CONTACTE_I (pIdTre NUMBER, pTipus VARCHAR2, pDada VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci que permet la modificaci de les dades de contacte d'un treballador*/
FUNCTION TREBALLADORS_CONTACTE_U (pId NUMBER, pIdTre NUMBER, pTipus VARCHAR2, pDada VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per esborrar les dades de contacte d'un treballador*/
FUNCTION TREBALLADORS_CONTACTE_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per realitzar una baixa lgica d'un treballador*/
FUNCTION BAIXA_TREBALLADOR (pId NUMBER, pIdUser NUMBER) RETURN RETORNS; /*Desvinculaci de l'empresa*/

/*Funci per cambiar de centre un treballador*/
FUNCTION CANVI_CENTRE (pId NUMBER, pIdCentre NUMBER, pIdUser NUMBER) RETURN RETORNS;

END PAK_TREBALLADORS;
/