create or replace
PACKAGE PAK_VENTES AS

/*Funci de creaci d'una venta en la seva fase inicial*/
FUNCTION ENCARREGAR_VEHICLE (pIdVehicle NUMBER, pIdClient NUMBER, pIdCentre NUMBER, pIdTreballador NUMBER,  
                    pPagat NUMBER, pDescompte NUMBER, pComentari VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per donar per formalitzada una venta*/
FUNCTION TANCAR_VENTA (pIdVenta NUMBER, pIdUser NUMBER) RETURN RETORNS;                

/*Funci per augmentar el pagament que el client ha realitzat*/
FUNCTION AMPLIAR_PAGAMENT (pIdVenta NUMBER, pPagatASumar NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci d'eliminaci d'una venta*/
FUNCTION VENTES_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci de modificaci d'una venta*/
FUNCTION VENTES_U (pId NUMBER, pDescompte NUMBER, pDataPrevEntrega DATE, pComentari VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per realitzar una baixa lgica d'una venta, s si el client s'arrepenteix i per la paga inicial*/
FUNCTION BAIXA_VENTA (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per donar per entragat un vehicle venut*/
FUNCTION ENTREGA_VENTA (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

END PAK_VENTES;
/