create or replace
PROCEDURE PROC_INSERT_LOGERROR(pErrorCode IN LOGERROR.ErrorCode%TYPE,
                                                 pTaula IN LOGERROR.Taula%TYPE,
                                                 pId IN LOGERROR.IdRegistre%TYPE, 
                                                 pDescripcio IN LOGERROR.Descripcio%TYPE, 
                                                 pAccio IN LOGERROR.Accio%TYPE, 
                                                 pIdTreballador IN  TREBALLADORS.Id%TYPE DEFAULT 0) IS
vAccio LOGERROR.Accio%TYPE := pAccio;
BEGIN
	-- Proces d'inserci a la taula de logerror
  IF vAccio IS NULL OR vAccio NOT IN ('I', 'U', 'D', 'F', 'P') THEN
    vAccio := 'A';
  END IF;

  INSERT INTO LOGERROR (Id, ErrorCode, Taula, IdRegistre, Descripcio, Accio, IdTreballador) 
                VALUES (SEQ_LOGERROR.NEXTVAL, pErrorCode, pTaula, pId, pDescripcio, vAccio, pIdTreballador);
                
END;
/