DECLARE
    vDocument CLOB;
    ret RETORNS;
    RetCli RETORNS;
    RetVeh RETORNS;
    RetCom RETORNS;
    RetComLin RETORNS;
    RetVen RETORNS;
    RetRep RETORNS;
    RetRepLin RETORNS;
    retRepMec RETORNS;
    vContinuar BOOLEAN := TRUE;
    vAuxCf NUMBER;
    vAuxC NUMBER;
    vAuxT NUMBER;
    vAuxD NUMBER;
    vAuxR NUMBER;
  BEGIN
     SELECT max(Id) INTO vAuxCf FROM ConfigFin;
     SELECT max(Id) INTO vAuxC FROM Centres;
     SELECT max(Id) INTO vAuxT FROM Treballadors;
     SELECT max(Id) INTO vAuxD FROM distribuidors;
     SELECT max(Id) INTO vAuxR FROM reprev_accions;

    retCli:= PAK_CLIENTS.CLIENTS_I('Test'||TO_CHAR(SYSDATE, 'YYYYMMDD'), 'Test'||TO_CHAR(SYSDATE, 'YYYYMMDD'),
                                   'Test'||TO_CHAR(SYSDATE, 'YYYYMMDD'), SYSDATE, 'H','NIF',
                                   TO_CHAR(SYSDATE, 'YYYYMMDD'), null, null, null, null, null, null, 1, 0);
    DBMS_OUTPUT.PUT_LINE ('INSERCIO CLIENT:'||retCli.IdMissatge ||' '||retCli.IdRetorn||' '||retCli.Text);
    retVeh:= PAK_VEHICLES.VEHICLES_I(vAuxCf,retCli.IdRetorn, 'XXX'||TO_CHAR(SYSDATE, 'YYYYMMDD'), '9999XXX',
                                     '0', null, null, TO_CHAR(SYSDATE, 'YYYY'), 0);
    DBMS_OUTPUT.PUT_LINE ('INSERCIO VEHICLE:'||retVeh.IdMissatge ||' '||retVeh.IdRetorn||' '||retVeh.Text);
    retCom:= PAK_COMPRES.COMPRES_I(vAuxC, vAuxT, vAuxD, null, 'N', null, 0);
    DBMS_OUTPUT.PUT_LINE ('INSERCIO COMPRES:'||retCom.IdMissatge ||' '||retCom.IdRetorn||' '||retCom.Text);
    retComlin:= PAK_COMPRES.COMPRES_LINIES_I(retCom.IdRetorn, retVeh.IdRetorn,null,0);
    DBMS_OUTPUT.PUT_LINE ('INSERCIO COMPRES LINIES:'||retComlin.IdMissatge ||' '||retComlin.IdRetorn||' '||retComlin.Text);
    retVen:= PAK_VENTES.ENCARREGAR_VEHICLE(retVeh.IdRetorn, retCli.IdRetorn, vAuxC, vAuxT, 0, 0, null, 0);
    DBMS_OUTPUT.PUT_LINE ('INSERCIO VENTA:'||retVen.IdMissatge ||' '||retVen.IdRetorn||' '||retVen.Text);
    retRep:= PAK_REPREV.REPREV_I(retVeh.IdRetorn, vAuxC, retCli.IdRetorn, 'REP', vAuxR, vAuxT, null, null,0);
    DBMS_OUTPUT.PUT_LINE ('INSERCIO REPARACIO:'||retRep.IdMissatge ||' '||retRep.IdRetorn||' '||retRep.Text);
    retRepMec:= PAK_REPREV.ASSIGNAR_MECANIC(retRep.IdRetorn, vAuxT, 0);
    DBMS_OUTPUT.PUT_LINE ('ASSIGNACI MECANIC:'||retRepMec.IdMissatge ||' '||retRepMec.IdRetorn||' '||retRepMec.Text);
    retReplin:= PAK_REPREV.REPREV_LINIES_I(retRep.IdRetorn, vAuxR, 0, 1, null, 0);
    DBMS_OUTPUT.PUT_LINE ('INSERCIO REPARACIO LINIES:'||retReplin.IdMissatge ||' '||retReplin.IdRetorn||' '||retReplin.Text);
    retRepLin:= PAK_REPREV.REPREV_LINIES_D(retRepLin.IdRetorn,0);
    DBMS_OUTPUT.PUT_LINE ('ESBORRAT REPARACIO LINIES:'||retRepLin.IdMissatge ||' '||retRepLin.IdRetorn||' '||retRepLin.Text);
    retRep:= PAK_REPREV.REPREV_D(retRep.IdRetorn, 0);
    DBMS_OUTPUT.PUT_LINE ('ESBORRAT REPARACIO:'||retRep.IdMissatge ||' '||retRep.IdRetorn||' '||retRep.Text);
    retVen:= PAK_VENTES.VENTES_D(retVen.IdRetorn, 0);
    DBMS_OUTPUT.PUT_LINE ('ESBORRAT VENTES:'||retVen.IdMissatge ||' '||retVen.IdRetorn||' '||retVen.Text);
    retComLin:= PAK_COMPRES.COMPRES_LINIES_D(retComLin.IdRetorn,0);
    DBMS_OUTPUT.PUT_LINE ('ESBORRAT COMPRES LINIES:'||retComLin.IdMissatge ||' '||retComLin.IdRetorn||' '||retComlin.Text);
    retCom:= PAK_COMPRES.COMPRES_D(retCom.IdRetorn,0);
    DBMS_OUTPUT.PUT_LINE ('ESBORRAT COMPRES:'||retCom.IdMissatge ||' '||retCom.IdRetorn||' '||retCom.Text);
    retVeh:= PAK_VEHICLES.VEHICLES_D(retVeh.IdRetorn,0);
    DBMS_OUTPUT.PUT_LINE ('ESBORRAT VEHICLE:'||retVeh.IdMissatge ||' '||retVeh.IdRetorn||' '||retVeh.Text);
    retCli:= PAK_CLIENTS.CLIENTS_D(retCli.IdRetorn,0);
    DBMS_OUTPUT.PUT_LINE ('ESBORRAT CLIENT:'||retCli.IdMissatge ||' '||retCli.IdRetorn||' '||retCli.Text);

END;
