--connected as SYS
DROP TABLESPACE OP INCLUDING CONTENTS AND DATAFILES;

CREATE TABLESPACE OP
	DATAFILE 'OP.DBF' SIZE 50 M 
	AUTOEXTEND ON
	LOGGING ONLINE PERMANENT
	EXTENT MANAGEMENT LOCAL AUTOALLOCATE
	BLOCKSIZE 8 K
	SEGMENT SPACE MANAGEMENT AUTO;

DROP USER usuario CASCADE;

CREATE USER usuario 
IDENTIFIED BY usuario
DEFAULT TABLESPACE OP
QUOTA UNLIMITED ON OP
TEMPORARY TABLESPACE temp
QUOTA 0 ON users;
    
    
GRANT CREATE session, CREATE table, CREATE view,
      CREATE procedure, CREATE synonym,
      CREATE SEQUENCE, CREATE TRIGGER,
      CREATE TYPE TO usuario; 

