create or replace
PACKAGE PAK_CLIENTS AS

/*Funci d'inserci d'un nou client*/
FUNCTION CLIENTS_I (pNom VARCHAR2, pCognom1 VARCHAR2, pCognom2 VARCHAR2, pDataNaixement DATE, pSexe VARCHAR2, 
                    pDocTipus VARCHAR2, pDocNumero VARCHAR2, pAdrea VARCHAR2, pCP VARCHAR2, pCiutat VARCHAR2, 
                    pProvincia VARCHAR2, pPais VARCHAR2, pDataBaixa DATE, pIdIdioma NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci de modificaci d'un client*/
FUNCTION CLIENTS_U (pId NUMBER, pNom VARCHAR2, pCognom1 VARCHAR2, pCognom2 VARCHAR2, pDataNaixement DATE, 
                    pSexe VARCHAR2, pDocTipus VARCHAR2, pDocNumero VARCHAR2, pAdrea VARCHAR2, pCP VARCHAR2, 
                    pCiutat VARCHAR2, pProvincia VARCHAR2, pPais VARCHAR2, pDataBaixa DATE, 
                    pIdIdioma NUMBER, pIdUser NUMBER) RETURN RETORNS;
                    
/*Funci d'esborrat  d'un client*/                   
FUNCTION CLIENTS_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci d'inserci de les dades de contacte d'un client*/
FUNCTION CLIENTS_CONTACTE_I (pIdCli NUMBER, pTipus VARCHAR2, pDada VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci que permet la modificaci de les dades de contacte d'un client*/
FUNCTION CLIENTS_CONTACTE_U (pId NUMBER, pIdCli NUMBER, pTipus VARCHAR2, pDada VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per esborrar les dades de contacte d'un client*/
FUNCTION CLIENTS_CONTACTE_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci de consulta d'un client per Id*/
FUNCTION CLIENTS_BY_ID (pId NUMBER, pClient OUT CLIENTS_TYP, pIdUser NUMBER) RETURN RETORNS;

/*Funci de consulta d'un contacte d'un client*/
FUNCTION CLIENTS_CONTACTE_BY_ID (pId NUMBER, pDadesContacte OUT CONTACTE_TYP, pIdUser NUMBER) RETURN RETORNS;

/*Funci de consulta de tots els contactes d'un client*/
FUNCTION CLIENTS_CONTACTE_BY_CLIENTS (pIdCli NUMBER, pDadesContacte OUT CONTACTE_TAB, pIdUser NUMBER) RETURN RETORNS;

END PAK_CLIENTS;      
/