create or replace
PACKAGE PAK_COMPRES AS

/*Funci per crear una nova compra*/
FUNCTION COMPRES_I (pIdCentre NUMBER, pIdTreballador NUMBER, pIdDistribuidor NUMBER, pIdClient NUMBER,
                    pUs VARCHAR2, pComentari VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per eliminar una compra*/
FUNCTION COMPRES_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per crear una nova lnia de compra*/
FUNCTION COMPRES_LINIES_I (pIdCom NUMBER, pIdVehicle NUMBER, pComentari VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per eliminar una lnia de compra*/
FUNCTION COMPRES_LINIES_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per autoritzar una compra*/
FUNCTION AUTORITZAR_COMPRA (pId NUMBER, pIdAutoritza NUMBER, pIdUser NUMBER) RETURN RETORNS;
/*Funci per reobrir una compra ja tancada*/
FUNCTION REOBRIR_COMPRA (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per donar per rebuda i recepcionada una compra*/
FUNCTION RECEPCIO (pId NUMBER, pIdReceptor NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per donar de baixa lgica una compra*/
FUNCTION BAIXA_COMPRA (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

END PAK_COMPRES;
/