create or replace
PACKAGE PAK_CONFIG AS

/*Funci per crear un nova relaci entre combustibles i models*/
FUNCTION CONFIG1_I (pIdMod NUMBER, pIdCom NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per modificar una relaci entre combustibles i models*/
FUNCTION CONFIG1_U (pId NUMBER, pIdMod NUMBER, pIdCom NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per eliminar una relaci entre combustibles i models*/
FUNCTION CONFIG1_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per crear un nova relaci entre config1 i potencies*/
FUNCTION CONFIG2_I (pIdCon NUMBER, pIdPot NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per modificar una relaci entre config1 i potencies*/
FUNCTION CONFIG2_U (pId NUMBER, pIdCon NUMBER, pIdPot NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per eliminar una relaci entre config1 i potencies*/
FUNCTION CONFIG2_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per crear un nova relaci entre config2 i cilindrada*/
FUNCTION CONFIG3_I (pIdCon NUMBER, pIdCil NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per modificar una relaci entre config2 i cilindrada*/
FUNCTION CONFIG3_U (pId NUMBER, pIdCon NUMBER, pIdCil NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per eliminar una relaci entre config2 i cilindrada*/
FUNCTION CONFIG3_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per crear un nova relaci entre config3 i versi*/
FUNCTION CONFIGFIN_I (pIdCon NUMBER, pIdVer NUMBER, pPreu NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per modificar una relaci entre config3 i versi*/
FUNCTION CONFIGFIN_U (pId NUMBER, pIdCon NUMBER, pIdVer NUMBER, pPreu NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per eliminar una relaci entre config3 i versi*/
FUNCTION CONFIGFIN_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per insertar una imatge per una configuraci final*/
FUNCTION CONFIGFIN_IMATGES_I (pIdCon NUMBER, pImatgeG VARCHAR2, pImatgeP VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per modificar una imatge per una configuraci final*/
FUNCTION CONFIGFIN_IMATGES_U (pId NUMBER, pIdCon NUMBER, pImatgeG VARCHAR2, pImatgeP VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per esborrar una imatge per una configuraci final*/
FUNCTION CONFIGFIN_IMATGES_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per insertar traducci del text d'una imatge per una configuraci final*/
FUNCTION CONFIGFIN_IMATGES_IDIOMA_I (pIdConIma NUMBER, pIdId NUMBER, pNom VARCHAR2, pDesc VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per modificar traducci del text d'una imatge per una configuraci final*/
FUNCTION CONFIGFIN_IMATGES_IDIOMA_U (pId NUMBER, pIdConIma NUMBER, PIdId NUMBER, pNom VARCHAR2, pDesc VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per esborrar traducci del text d'una imatge per una configuraci final*/
FUNCTION CONFIGFIN_IMATGES_IDIOMA_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

END PAK_CONFIG;
/