create or replace
PACKAGE PAK_DISTRIBUIDORS AS

/*Funci d'inserci d'un nou distribuidor*/
FUNCTION DISTRIBUIDORS_I (pNom VARCHAR2, pNomContacte VARCHAR2, pDocTipus VARCHAR2, 
                          pDocNumero VARCHAR2, pAdrea VARCHAR2, pCP VARCHAR2, pCiutat VARCHAR2, pProvincia VARCHAR2, 
                          pPais VARCHAR2, pDataBaixa DATE, pIdIdioma NUMBER, pIdUser NUMBER) RETURN RETORNS;
                          
/*Funci de modificaci d'un distribuidor*/                          
FUNCTION DISTRIBUIDORS_U (pId NUMBER, pNom VARCHAR2,  pNomContacte VARCHAR2, pDocTipus VARCHAR2, 
                          pDocNumero VARCHAR2, pAdrea VARCHAR2, pCP VARCHAR2, pCiutat VARCHAR2, pProvincia VARCHAR2, 
                          pPais VARCHAR2, pDataBaixa DATE, pIdIdioma NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci d'esborrat d'un distribuidor*/                           
FUNCTION DISTRIBUIDORS_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci d'inserci de les dades de contacte d'un distribuidor*/
FUNCTION DISTRIBUIDORS_CONTACTE_I (pIdDis NUMBER, pTipus VARCHAR2, pDada VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci que permet la modificaci de les dades de contacte d'un distribuidor*/
FUNCTION DISTRIBUIDORS_CONTACTE_U (pId NUMBER, pIdDis NUMBER, pTipus VARCHAR2, pDada VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per esborrar les dades de contacte d'un distribuidor*/
FUNCTION DISTRIBUIDORS_CONTACTE_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci de creaci d'un relaci entre distribuidor i marca*/
FUNCTION DISTRIBUIDORS_MARQUES_I (pIdDis NUMBER, pIdMar NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci de modificaci d'un relaci entre distribuidor i marca*/
FUNCTION DISTRIBUIDORS_MARQUES_U (pId NUMBER, pIdDis NUMBER, pIdMar NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci d'esborrat d'un relaci entre distribuidor i marca*/  
FUNCTION DISTRIBUIDORS_MARQUES_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

END PAK_DISTRIBUIDORS;
/