create or replace
PACKAGE PAK_MODELS AS

/*Funci d'inserci d'un nou model*/
FUNCTION MODELS_I (pIdMarca NUMBER, pNom VARCHAR2, pAny NUMBER DEFAULT null, pIdUser NUMBER) RETURN RETORNS;

/*Funci de modificaci d'un model*/  
FUNCTION MODELS_U (pId NUMBER, pIdMarca NUMBER, pNom VARCHAR2, pAny NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci d'esborrat d'un model*/    
FUNCTION MODELS_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per insertar una imatge per un model*/
FUNCTION MODELS_IMATGES_I (pIdMod NUMBER, pImatgeG VARCHAR2, pImatgeP VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per modificar una imatge per un model*/
FUNCTION MODELS_IMATGES_U (pId NUMBER, pIdMod NUMBER, pImatgeG VARCHAR2, pImatgeP VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per esborrar una imatge  per un model*/
FUNCTION MODELS_IMATGES_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per insertar traducci del text d'una imatge  per un model*/
FUNCTION MODELS_IMATGES_IDIOMA_I (pIdModIma NUMBER, pIdId NUMBER, pNom VARCHAR2, pDesc VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per modificar traducci del text d'una imatge  per un model*/
FUNCTION MODELS_IMATGES_IDIOMA_U (pId NUMBER, pIdModIma NUMBER, PIdId NUMBER, pNom VARCHAR2, pDesc VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per esborrar traducci del text d'una imatge  per un model*/
FUNCTION MODELS_IMATGES_IDIOMA_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

END PAK_MODELS;
/