create or replace
PACKAGE PAK_REPREV AS

/*Funci d'inserci d'una nova acci per reparaci o revisi*/
FUNCTION REPREV_ACCIONS_I (pNom VARCHAR2, pPreu NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci de modificaci d'una acci per reparaci o revisi*/
FUNCTION REPREV_ACCIONS_U (pId NUMBER, pNom VARCHAR2, pPreu NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci d'eliminaci d'una acci per reparaci o revisi*/
FUNCTION REPREV_ACCIONS_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci d'inserci d'una nova traducci d'una acci per reparaci o revisi*/
FUNCTION REPREV_ACCIONS_IDIOMA_I (pIdRep NUMBER, pIdId NUMBER, pNom VARCHAR2, pDesc VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci de modificaci d'una traducci d'una acci per reparaci o revisi*/
FUNCTION REPREV_ACCIONS_IDIOMA_U (pId NUMBER, pIdRep NUMBER, PIdId NUMBER, pNom VARCHAR2, pDesc VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci d'esborrat d'una traducci d'una acci per reparaci o revisi*/
FUNCTION REPREV_ACCIONS_IDIOMA_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci d'inserci d'una nova reparaci o revisi*/
FUNCTION REPREV_I (pIdVehicle NUMBER, pIdCentre NUMBER, pIdClient NUMBER, pIncidencia VARCHAR2, pIdAccioSol NUMBER, 
                   pIdMecanicEnt NUMBER, pComentariClient VARCHAR2, pComentariMecanic VARCHAR2,pIdUser NUMBER) RETURN RETORNS;

/*Funci assigna un mecnic a una reparaci o revisi*/
FUNCTION ASSIGNAR_MECANIC(pId NUMBER, pIdTreballador NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci d'inserci d'una nova lnia de reparaci o revisi*/
FUNCTION REPREV_LINIES_I (pIdRepRev NUMBER, pIdAccio NUMBER, pPreu NUMBER, pQuantitat NUMBER, pComentari VARCHAR2, pIdUser NUMBER)  RETURN RETORNS;

/*Funci dona per tancada una reparaci o revisi*/
FUNCTION TANCAR_REPREV (pId NUMBER, pIdUser NUMBER) RETURN RETORNS; 

/*Funci dona per entregat un vehicle ja reparat o revisat*/
FUNCTION ENTREGAR_VEHICLE (pId NUMBER, pIdMecanicSor NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per afegir un comentari del client a una reparaci o revisi*/
FUNCTION AFEGIR_COMENT_CLIENT (pId NUMBER, pComentariClient VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per afegir un comentari del mecnic a una reparaci o revisi*/
FUNCTION AFEGIR_COMENT_MECANIC (pId NUMBER, pComentariMecanic VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci de reopertura d'una reparaci o revisi ja tancada*/
FUNCTION REOBRIR_REPREV (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci d'eliminaci d'una lnia d'una reparaci o revisi*/
FUNCTION REPREV_LINIES_D (pId NUMBER, pIdUser NUMBER)  RETURN RETORNS;

/*Funci d'eliminaci d'una reparaci o revisi*/
FUNCTION REPREV_D (pId NUMBER, pIdUser NUMBER)  RETURN RETORNS;


END PAK_REPREV;
/