create or replace
PACKAGE PAK_VEHICLES AS

/*Funci d'inserci d'un nou vehicle*/
FUNCTION VEHICLES_I (pIdCon NUMBER, pIdCli NUMBER, pBastidor VARCHAR2, pMatricula VARCHAR2,
                    pKm NUMBER, pDataRevisio DATE, pDataBaixa DATE, pAnyFabricacio NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci de modificaci d'un vehicle*/
FUNCTION VEHICLES_U (pId NUMBER, pIdCon NUMBER, pIdCli NUMBER, pBastidor VARCHAR2, pMatricula VARCHAR2,
                    pKm NUMBER, pDataRevisio DATE, pDataBaixa DATE, pAnyFabricacio NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci d'esborrat d'un vehicle*/
FUNCTION VEHICLES_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per crear un nova relaci entre vehicle i extra*/
FUNCTION VEHICLES_EXTRES_I (pIdVeh NUMBER, pIdExt NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per modificar una relaci entre vehicle i extra*/
FUNCTION VEHICLES_EXTRES_U (pId NUMBER, pIdVeh NUMBER, pIdExt NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per eliminar una relaci entre vehicle i extra*/
FUNCTION VEHICLES_EXTRES_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per insertar una imatge per un vehicle*/
FUNCTION VEHICLES_IMATGES_I (pIdVeh NUMBER, pImatgeG VARCHAR2, pImatgeP VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per modificar una imatge per un vehicle*/
FUNCTION VEHICLES_IMATGES_U (pId NUMBER, pIdVeh NUMBER, pImatgeG VARCHAR2, pImatgeP VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per esborrar una imatge  per un vehicle*/
FUNCTION VEHICLES_IMATGES_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci per insertar traducci del text d'una imatge per un vehicle*/
FUNCTION VEHICLES_IMATGES_IDIOMA_I (pIdVehIma NUMBER, pIdId NUMBER, pNom VARCHAR2, pDesc VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per modificar traducci del text d'una imatge per un vehicle*/
FUNCTION VEHICLES_IMATGES_IDIOMA_U (pId NUMBER, pIdVehIma NUMBER, PIdId NUMBER, pNom VARCHAR2, pDesc VARCHAR2, pIdUser NUMBER) RETURN RETORNS;

/*Funci per esborrar traducci del text d'una imatge per un vehicle*/
FUNCTION VEHICLES_IMATGES_IDIOMA_D (pId NUMBER, pIdUser NUMBER) RETURN RETORNS;

/*Funci que obt la llista de vehicles que han de ser revisat en el proper mes*/
FUNCTION CONSULTA_VEHICLES_PER_REVISIO (pVehiclesTab OUT VEHICLES_TAB, pIdUser NUMBER) RETURN RETORNS;

END PAK_VEHICLES;